package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ProjectChangeEntryFactory
{
    private ProjectChangeEntryFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IProjectChangeEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectChangeEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("1315F40A") ,com.kingdee.eas.hr.project.IProjectChangeEntry.class);
    }
    
    public static com.kingdee.eas.hr.project.IProjectChangeEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectChangeEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("1315F40A") ,com.kingdee.eas.hr.project.IProjectChangeEntry.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IProjectChangeEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectChangeEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("1315F40A"));
    }
    public static com.kingdee.eas.hr.project.IProjectChangeEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectChangeEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("1315F40A"));
    }
}